Loading...
Searching...
No Matches
XrdCl::HandShakeData Struct Reference

Data structure that carries the handshake information. More...

`#include <XrdClPostMasterInterfaces.hh>`

Collaboration diagram for XrdCl::HandShakeData:

## Public Member Functions

| HandShakeData (const URL *addr, uint16_t subStream)
| Constructor.

## Public Attributes

std::string | clientName
| Client name (an IPv6 representation).
Message * | in
| Message that has been received.
Message * | out
| Message to be sent out.
const XrdNetAddr * | serverAddr
| Server address.
time_t | startTime
| Timestamp of when the handshake started.
uint16_t | step
| Handshake step.
std::string | streamName
| Name of the stream.
uint16_t | subStreamId
| Sub-stream id.
const URL * | url
| Destination URL.

## Detailed Description

Data structure that carries the handshake information.

Definition at line 243 of file XrdClPostMasterInterfaces.hh.

## Constructor & Destructor Documentation

## HandShakeData()

XrdCl::HandShakeData::HandShakeData | ( | const URL * | addr,
|  | uint16_t | subStream )

inline

Constructor.

Definition at line 248 of file XrdClPostMasterInterfaces.hh.

:
step(0), out(0), in(0), url(addr), subStreamId( subStream ),
startTime( time(0) ), serverAddr(0)
{}
XrdCl::HandShakeData::step
uint16_t step
Handshake step.
Definition XrdClPostMasterInterfaces.hh:252
XrdCl::HandShakeData::startTime
time_t startTime
Timestamp of when the handshake started.
Definition XrdClPostMasterInterfaces.hh:257
XrdCl::HandShakeData::url
const URL * url
Destination URL.
Definition XrdClPostMasterInterfaces.hh:255
XrdCl::HandShakeData::serverAddr
const XrdNetAddr * serverAddr
Server address.
Definition XrdClPostMasterInterfaces.hh:259
XrdCl::HandShakeData::in
Message * in
Message that has been received.
Definition XrdClPostMasterInterfaces.hh:254
XrdCl::HandShakeData::subStreamId
uint16_t subStreamId
Sub-stream id.
Definition XrdClPostMasterInterfaces.hh:256
XrdCl::HandShakeData::out
Message * out
Message to be sent out.
Definition XrdClPostMasterInterfaces.hh:253

References in, out, serverAddr, startTime, step, subStreamId, and url.

## Member Data Documentation

## clientName

std::string XrdCl::HandShakeData::clientName

Client name (an IPv6 representation).

Definition at line 260 of file XrdClPostMasterInterfaces.hh.

## in

Message* XrdCl::HandShakeData::in

Message that has been received.

Definition at line 254 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData().

## out

Message* XrdCl::HandShakeData::out

Message to be sent out.

Definition at line 253 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData().

## serverAddr

const XrdNetAddr* XrdCl::HandShakeData::serverAddr

Server address.

Definition at line 259 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData().

## startTime

time_t XrdCl::HandShakeData::startTime

Timestamp of when the handshake started.

Definition at line 257 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData().

## step

uint16_t XrdCl::HandShakeData::step

Handshake step.

Definition at line 252 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData().

## streamName

std::string XrdCl::HandShakeData::streamName

Name of the stream.

Definition at line 261 of file XrdClPostMasterInterfaces.hh.

Referenced by XrdCl::XRootDTransport::HandShake(), and XrdCl::XRootDTransport::HandShakeDone().

## subStreamId

uint16_t XrdCl::HandShakeData::subStreamId

Sub-stream id.

Definition at line 256 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData(), XrdCl::XRootDTransport::HandShake(), XrdCl::XRootDTransport::HandShakeDone(), and XrdCl::XRootDTransport::NeedEncryption().

## url

const URL* XrdCl::HandShakeData::url

Destination URL.

Definition at line 255 of file XrdClPostMasterInterfaces.hh.

Referenced by HandShakeData().

The documentation for this struct was generated from the following file:

- XrdClPostMasterInterfaces.hh